# HaruDoc::setPagesConfiguration

(PECL haru >= 0.0.1)

HaruDoc::setPagesConfiguration — Set the number of pages per set of pages

### Description

HaruDoc::setPagesConfiguration ( int `$page_per_pages` ) : bool

By default the document has one pages object as a root for all pages. All page objects are create as branches of this object. One pages object can contain only 8191, therefore the maximum number of pages per document is 8191. But you can change that fact by setting `page_per_pages` parameter, so that the root pages object contains 8191 more pages (not page) objects, which in turn contain 8191 pages each. So the maximum number of pages in the document becomes 8191*`page_per_pages`.

### Parameters

`page_per_pages`

  The numbers of pages that a pages object can contain.

### Return Values

Returns `TRUE` on success.

### Errors/Exceptions

Throws a HaruException on error.